FEEDCOMP(9)

NAME

feedcomp - Multiply the input by the ratio of current velocity to the feed rate.

SYNOPSIS

loadrt feedcomp [count=N|names=name1[,name2...]]

FUNCTIONS

feedcomp.N (requires a floating-point thread)

PINS

feedcomp.N.out float out
    Proportionate output value

feedcomp.N.in float in
    Reference value

feedcomp.N.enable bit in
    Turn compensation on or off.

feedcomp.N.vel float in
    Current velocity

PARAMETERS

feedcomp.N.feed float rw
    Feed rate reference value

NOTES

Note that if enable is false, out = in.

AUTHOR

Eric H. Johnson

LICENSE

GPL